Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class MedicinalProductType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MedicinalProductType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class MedicinalProductType

extends Object
implements Serializable

a medicinal product can be identified unambiguously by a CNK code identifying a package. The descriptive identification is only mandatory in case of absence of a package ID.

Java class for medicinalProductType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="medicinalProductType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="intendedcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-DRUG-CNK" maxOccurs="unbounded"/>
             <element name="deliveredcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-DRUG-CNK" maxOccurs="unbounded" minOccurs="0"/>
             <element name="intendedname" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="deliveredname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MedicinalProductType()`

Method Summary
`List<CDDRUGCNK>` | `getDeliveredcds()` Gets the value of the deliveredcds property.
`String` | `getDeliveredname()` Gets the value of the deliveredname property.
`List<CDDRUGCNK>` | `getIntendedcds()` Gets the value of the intendedcds property.
`String` | `getIntendedname()` Gets the value of the intendedname property.
`void` | `setDeliveredname(String value)` Sets the value of the deliveredname property.
`void` | `setIntendedname(String value)` Sets the value of the intendedname property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MedicinalProductType

    public MedicinalProductType()

Method Detail

### getIntendedcds

    public List<CDDRUGCNK> getIntendedcds()

  Gets the value of the intendedcds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intendedcds property.

  For example, to add a new item, do as follows:

          getIntendedcds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDDRUGCNK`

### getDeliveredcds

    public List<CDDRUGCNK> getDeliveredcds()

  Gets the value of the deliveredcds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the deliveredcds property.

  For example, to add a new item, do as follows:

          getDeliveredcds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDDRUGCNK`

### getIntendedname

    public String getIntendedname()

  Gets the value of the intendedname property.

  Returns:
    possible object is `String`

### setIntendedname

    public void setIntendedname(String value)

  Sets the value of the intendedname property.

  Parameters:
    `value` - allowed object is `String`

### getDeliveredname

    public String getDeliveredname()

  Gets the value of the deliveredname property.

  Returns:
    possible object is `String`

### setDeliveredname

    public void setDeliveredname(String value)

  Sets the value of the deliveredname property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.